logconfig.c File Reference
`#include "config.h"`
`#include <corosync/totem/totem.h>`
`#include <corosync/logsys.h>`
`#include <corosync/cmap.h>`
`#include "util.h"`
`#include "logconfig.h"`
`#include "totemknet.h"`
Include dependency graph for logconfig.c:

Go to the source code of this file.

## Macros

#define | MAP_KEYNAME_MAXLEN CMAP_KEYNAME_MAXLEN
#define | map_get_string(key_name, value) cmap_get_string(cmap_handle, key_name, value)

## Functions

int | corosync_log_config_read (cmap_handle_t cmap_h, const char *default_logfile, const char **error_string)

## Macro Definition Documentation

## map_get_string

#define map_get_string | ( |  | key_name,
|  |  | value
| ) |  | cmap_get_string(cmap_handle, key_name, value)

Definition at line 50 of file logconfig.c.

## MAP_KEYNAME_MAXLEN

#define MAP_KEYNAME_MAXLEN CMAP_KEYNAME_MAXLEN

Definition at line 49 of file logconfig.c.

## Function Documentation

## corosync_log_config_read()

int corosync_log_config_read | ( | cmap_handle_t | cmap_h,
|  | const char * | default_logfile,
|  | const char ** | error_string
| ) |  |

Definition at line 719 of file logconfig.c.

References cmap_handle.

Referenced by main().